安装两个plugin ,其中一个会被删掉

安装
nodebb-plugin-baidu-search
nodebb-plugin-recent-cards

第二个会被把第一个删掉,有人碰到过这个问题吗?

PA Team

这种情况一般发生在 npm v5( 对应 nodejs v8.x).
npm v5 和 yarn 一样采用了强校验策略,所以会移除未被 --save 的包裹。
如果是这种情况的话,目前有两种解决方案:

  • 使用 nodejs v6.x (npm v4)
  • NodeBB 更新至 v1.7.x (该版本是针对该问题紧急推出的新发布版)
最后由 a632079 编辑

与 NodeBB中文社区 的连接断开,我们正在尝试重连,请耐心等待